Skip to content

set_credential_value

PUT
/v1/agents/{agent_id}/credentials/{binding_id}
curl --request PUT \
--url https://app.everruns.com/api/v1/agents/example/credentials/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "value": "vsk_disposable_example" }'

Encrypt and replace the write-only value for an agent credential binding.

agent_id
required
string

Agent ID

binding_id
required
string format: uuid

Credential binding ID

Media typeapplication/json

Request to replace a credential binding’s encrypted value.

object
value
required

Write-only credential value. It is encrypted and never returned.

string
Example
vsk_disposable_example

Credential value replaced

Media typeapplication/json

Metadata for a write-only credential bound to one agent and MCP tool parameter.

object
agent_id
required

Agent that exclusively owns and may use this credential.

string
configured
required

Whether an encrypted value has been provisioned.

boolean
created_at
required

RFC 3339 creation time.

string
description

Optional explanation of why the credential is needed.

string | null
id
required

Stable credential binding identifier.

string format: uuid
label
required

Human-readable credential label.

string
mcp_server_name
required

Name of the attached MCP server.

string
mcp_server_url
required

Exact MCP endpoint authorized to receive the credential.

string
parameter_name
required

Top-level tool argument injected by the server.

string
setup_url
required

Relative UI route where the user can securely provision the value.

string
tool_name
required

MCP tool whose outbound call receives the credential.

string
updated_at
required

RFC 3339 last-update time.

string
Example
{
"agent_id": "agent_01933b5a000070008000000000000001",
"configured": true,
"created_at": "2026-08-08T16:00:00Z",
"description": "Delivers scheduled status notifications",
"id": "01933b5a-0000-7000-8000-000000000001",
"label": "Visti channel key",
"mcp_server_name": "visti",
"mcp_server_url": "https://visti.sh/mcp",
"parameter_name": "channel_key",
"setup_url": "/agents/agent_01933b5a000070008000000000000001?tab=credentials",
"tool_name": "visti_send",
"updated_at": "2026-08-08T16:05:00Z"
}